summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-03-17 01:39:59 +0000
committer Eric Hameleers <alien@slackware.com>2007-03-17 01:39:59 +0000
commit631995caa2d979648c5d544da75f7c5abb5f97d7 (patch)
tree61bf8c94eee90c95ad01a1ce07883c06f930ffa0
parent4870c61d41e1d60526b49e5d91c80f51d80ac9e6 (diff)
downloadasb-631995caa2d979648c5d544da75f7c5abb5f97d7.tar.gz
asb-631995caa2d979648c5d544da75f7c5abb5f97d7.tar.xz
Added my own rc.vncservers script
-rwxr-xr-xtightvnc/build/tightvnc.SlackBuild40
1 files changed, 19 insertions, 21 deletions
diff --git a/tightvnc/build/tightvnc.SlackBuild b/tightvnc/build/tightvnc.SlackBuild
index dcc10cdd..4a945254 100755
--- a/tightvnc/build/tightvnc.SlackBuild
+++ b/tightvnc/build/tightvnc.SlackBuild
@@ -31,6 +31,10 @@
# Changelog:
# 1.2.9-1: 16/Mar/2007 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 1.3.8-1: 17/Mar/2007 by Eric Hameleers <alien@slackware.com>
+# * Upgrade to the 'devel' version, since the latest 'stable' is
+# nearing four years of age... Also added a proper rc script for
+# those that want to start a VNC server on boot.
#
# Run 'sh tightvnc.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -42,7 +46,7 @@
# Set initial variables:
PRGNAM=tightvnc
-VERSION=${VERSION:-1.2.9}
+VERSION=${VERSION:-1.3.8}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -175,7 +179,8 @@ chmod -R u+w,go+r-w,a-s *
mv vnc_unixsrc ${PRGNAM}-${VERSION}
cd ${PRGNAM}-${VERSION}
-patch -p1 < $SRCDIR/tightvnc-gcc34.patch 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+# Needed for 1.2.9 :
+#patch -p1 < $SRCDIR/tightvnc-gcc34.patch 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
# --- BUILDING ---
@@ -207,25 +212,6 @@ mkdir -p $PKG/usr/man/man1
mkdir -p $PKG/usr/share/vnc
cp -aR classes $PKG/usr/share/vnc
-mkdir -p $PKG/etc/rc.d
-install -m755 vncserver.init $PKG/etc/rc.d/rc.vncserver.new
-
-cat > $PKG/etc/rc.d/rc.vncserver.conf.new << EOF
-# The VNCSERVERS variable is a list of display:user pairs.
-#
-# Uncomment the line below to start a VNC server on display :1
-# as my 'myusername' (adjust this to your own). You will also
-# need to set a VNC password; run 'man vncpasswd' to see how
-# to do that.
-#
-# DO NOT RUN THIS SERVICE if your local area network is
-# untrusted! For a secure way of using VNC, see
-# <URL:http://www.uk.research.att.com/vnc/sshvnc.html>.
-
-# VNCSERVERS="1:myusername"
-EOF
-chmod 644 $PKG/etc/rc.d/rc.vncserver.conf.new
-
# Add this to the doinst.sh
! [ -d $PKG/install ] && mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh
@@ -249,6 +235,18 @@ config() {
config etc/rc.d/rc.vncserver.new
config etc/rc.d/rc.vncserver.conf.new
+#
+# Update rc.local so that vncserver will be started on boot
+#
+if ! grep "rc.vncservers" etc/rc.d/rc.local 1>/dev/null 2>&1 ; then
+ cat <<-_EOM_ >> etc/rc.d/rc.local
+ if [ -x /etc/rc.d/rc.vncservers ]; then
+ # echo "Starting VNC servers: /etc/rc.d/rc.vncservers start"
+ /etc/rc.d/rc.vncservers start
+ fi
+ _EOM_
+fi
+
EOINS